View Issue Details

IDProjectCategoryLast Update
0023248AI War 2[All Projects] Gameplay IssueJun 4, 2020 12:06 pm
ReporterGreatYngAssigned ToBadgerBadger 
Severitytext 
Status resolvedResolutionfixed 
Product Version2.048 Bugfixes 
Fixed in VersionBeta 2.062 Savegame/Networking Data Compaction 
Summary0023248: Risk Analyzer lobby description is inconsistent with in-game execution
DescriptionThe description mentions that Risk Analyzers have to be captured and that they will increase AIP much more while not on an AI-owned planet.
However, merely capturing the planet is enough to feed bad data to a Risk Analyzer, so the line mentioning that it will massively increase AIP on a player-owned planet is a lie.
The description on the Risk Analyzer in-game does fit with how it actually works.
TagsNo tags attached.

Activities

Strategic Sage

Jun 3, 2020 11:39 am

reporter   ~0057175

I think you are misunderstanding the tooltip. It's doesn't say it will increase AIP more if you own it; it says it will increase progress towards exogalactic strikeforces more.

BadgerBadger

Jun 3, 2020 12:46 pm

manager   ~0057176

Up to 10 Risk Analyzers are scattered throughout the galaxy. Each hour the AI uses them to analyze your presence, causing the AIP to go up 1. If you destroy one then it generates 10 AIP. If you capture them then you can feed the AI bad data; each captured Risk Analyzer brings the AIP down 2 per hour. The AI will launch Exogalactic Strikeforces against you with greater force the more Risk Analyzers you take. If an Analyzer is on an AI planet, it only adds a little progress. If it's on a neutral planet, it adds a fair bit more. If you own the planet, it adds a LOT more progress over time.

Strategic Sage is correct, the "progress" referred to here is the Exogalactic Strikeforces. Perhaps this text could be clarified though.

GreatYng

Jun 3, 2020 1:36 pm

reporter   ~0057177

Yeah, when I saw it mention progress I must have automatically assumed that meant progress with a capital P (as in AIP). I must have glanced over that subtle difference, so my vote is on clarifying that bit of text.
On the subject of a rewrite could you maybe make it clearer whether "If an Analyzer is on an AI planet, it only adds a little progress." applies from game start (if very slowly) or only applies after capturing at least 1 analyzer. The sentence beforehand implies the latter, but in and of itself the quoted sentence implies the former.

BadgerBadger

Jun 4, 2020 12:06 pm

manager   ~0057180

I have improved the text to clarify what "progress" means

Issue History

Date Modified Username Field Change
Jun 2, 2020 3:20 pm GreatYng New Issue
Jun 3, 2020 11:39 am Strategic Sage Note Added: 0057175
Jun 3, 2020 12:46 pm BadgerBadger Note Added: 0057176
Jun 3, 2020 1:36 pm GreatYng Note Added: 0057177
Jun 4, 2020 12:06 pm BadgerBadger Assigned To => BadgerBadger
Jun 4, 2020 12:06 pm BadgerBadger Status new => resolved
Jun 4, 2020 12:06 pm BadgerBadger Resolution open => fixed
Jun 4, 2020 12:06 pm BadgerBadger Fixed in Version => Beta 2.062 Savegame/Networking Data Compaction
Jun 4, 2020 12:06 pm BadgerBadger Note Added: 0057180